list: API endpoint for returning a list of creatures.
retrieve: API endpoint for returning a particular creature.

GET /v2/creatures/?format=api&ordering=-type
HTTP 200 OK
Allow: GET, HEAD, OPTIONS
Content-Type: application/json
Vary: Accept

{
    "count": 3541,
    "next": "https://api.open5e.com/v2/creatures/?format=api&ordering=-type&page=2",
    "previous": null,
    "results": [
        {
            "key": "bfrd_zombie",
            "name": "Zombie",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.25,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 10,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "understands the languages it knew in life but can't speak",
                "data": []
            },
            "armor_class": 8,
            "armor_detail": "",
            "hit_points": 16,
            "hit_dice": null,
            "experience_points": 50,
            "ability_scores": {
                "strength": 14,
                "dexterity": 6,
                "constitution": 16,
                "intelligence": 2,
                "wisdom": 10,
                "charisma": 4
            },
            "modifiers": {
                "strength": 2,
                "dexterity": -2,
                "constitution": 3,
                "intelligence": -4,
                "wisdom": 0,
                "charisma": -3
            },
            "initiative_bonus": -2,
            "saving_throws": {
                "strength": 2,
                "dexterity": -2,
                "constitution": 3,
                "intelligence": -4,
                "wisdom": 0,
                "charisma": -3
            },
            "saving_throws_all": {
                "strength": 2,
                "dexterity": -2,
                "constitution": 3,
                "intelligence": -4,
                "wisdom": 0,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": -2,
                "animal_handling": 0,
                "arcana": -4,
                "athletics": 2,
                "deception": -3,
                "history": -4,
                "insight": 0,
                "intimidation": -3,
                "investigation": -4,
                "medicine": 0,
                "nature": -4,
                "perception": 0,
                "performance": -3,
                "persuasion": -3,
                "religion": -4,
                "sleight_of_hand": -2,
                "stealth": -2,
                "survival": 0
            },
            "passive_perception": 10,
            "resistances_and_immunities": {
                "damage_immunities_display": "Undead Resilience",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Rotten Hold",
                    "desc": "The zombie gnaws idly on the creature grappled by it. The target must succeed on a DC 12 CON save or take 2 (1d4) poison damage. A Humanoid slain by this bonus action rises 24 hours later as a zombie, unless the Humanoid is restored to life or its body is destroyed.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Slam",
                    "desc": "_Melee Weapon Attack:_ +4 to hit, reach 5 ft., one target. _Hit:_ 5 (1d6+2) bludgeoning damage. The target is grappled (escape DC 12) if it is a Medium or smaller creature, and the zombie doesn't already have a creature grappled.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Slam attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D6",
                            "damage_bonus": 2,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Bludgeoning",
                                "key": "bludgeoning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Undead Fortitude",
                    "desc": "If damage reduces the zombie to 0 HP, it must make a CON save with a DC equal to 5 + the damage taken, unless the damage is radiant or from a critical hit. On a success, the zombie drops to 1 HP instead."
                },
                {
                    "name": "Undead Nature",
                    "desc": "The zombie doesn't require air, food, drink, or sleep."
                },
                {
                    "name": "Undead Resilience",
                    "desc": "The zombie is immune to poison damage, to exhaustion, and to the poisoned condition."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_wraith",
            "name": "Wraith",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 5.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 0,
                "unit": "feet",
                "fly": 60,
                "hover": true
            },
            "speed_all": {
                "unit": "feet",
                "walk": 0,
                "crawl": 0,
                "hover": true,
                "fly": 60,
                "burrow": 0,
                "climb": 0,
                "swim": 0
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "the languages it knew in life",
                "data": []
            },
            "armor_class": 14,
            "armor_detail": "",
            "hit_points": 85,
            "hit_dice": null,
            "experience_points": 1800,
            "ability_scores": {
                "strength": 6,
                "dexterity": 18,
                "constitution": 16,
                "intelligence": 12,
                "wisdom": 14,
                "charisma": 14
            },
            "modifiers": {
                "strength": -2,
                "dexterity": 4,
                "constitution": 3,
                "intelligence": 1,
                "wisdom": 2,
                "charisma": 2
            },
            "initiative_bonus": 4,
            "saving_throws": {
                "strength": -2,
                "dexterity": 4,
                "constitution": 3,
                "intelligence": 1,
                "wisdom": 2,
                "charisma": 2
            },
            "saving_throws_all": {
                "strength": -2,
                "dexterity": 4,
                "constitution": 3,
                "intelligence": 1,
                "wisdom": 2,
                "charisma": 2
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 4,
                "animal_handling": 2,
                "arcana": 1,
                "athletics": -2,
                "deception": 2,
                "history": 1,
                "insight": 2,
                "intimidation": 2,
                "investigation": 1,
                "medicine": 2,
                "nature": 1,
                "perception": 2,
                "performance": 2,
                "persuasion": 2,
                "religion": 1,
                "sleight_of_hand": 4,
                "stealth": 4,
                "survival": 2
            },
            "passive_perception": 12,
            "resistances_and_immunities": {
                "damage_immunities_display": "necrotic,charmed,grappled,paralyzed,petrified,prone,restrained,Undead Resilience",
                "damage_immunities": [
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    }
                ],
                "damage_resistances_display": "acid,cold,fire,lightning,thunder; bludgeoning,piercing,and slashing damage from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Acid",
                        "key": "acid"
                    },
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Fire",
                        "key": "fire"
                    },
                    {
                        "name": "Lightning",
                        "key": "lightning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    },
                    {
                        "name": "Thunder",
                        "key": "thunder"
                    }
                ],
                "damage_vulnerabilities_display": "radiant",
                "damage_vulnerabilities": [
                    {
                        "name": "Radiant",
                        "key": "radiant"
                    }
                ],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Create Specter",
                    "desc": "The wraith targets one Humanoid it can see within 10 feet of it that has been dead for no longer than 1 minute and died violently. The target's spirit rises as a **specter** in the space of its corpse or in the nearest unoccupied space. The **specter** is under the wraith's control. The wraith can have no more than seven specters under its control at one time.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Life Drain",
                    "desc": "_Melee Weapon Attack:_ +7 to hit, reach 5 ft., one creature. _Hit:_ 18 (4d6+4) necrotic damage. The target must succeed on a DC 15 CON save or its HP maximum is reduced by an amount equal to the damage taken. This reduction lasts until the target finishes a long rest. The target dies if this effect reduces its HP maximum to 0.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Life Drain attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The wraith makes two Life Drain attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Trail of Death",
                    "desc": "The wraith moves up to 30 feet in a straight line. This distance is not reduced by moving through creatures or objects, and this movement doesn't provoke opportunity attacks. The first time it enters a creature's space during this move, that creature must succeed on a DC 15 DEX save or be afflicted with wasting doom. While afflicted with wasting doom, a creature takes 3 (1d6) necrotic damage at the start of each of its turns. Wasting doom ends if a creature starts its turn in sunlight or regains HP.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 4
                    }
                },
                {
                    "name": "Unravel Life",
                    "desc": "When a creature the wraith can see within 30 feet of it and that isn't a Construct or Undead regains HP, the wraith can corrupt the healing energies, halving the amount of healing that creature receives.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "REACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Incorporeal Movement",
                    "desc": "The wraith can move through other creatures and objects as if they were difficult terrain. It takes 5 (1d10) force damage if it ends its turn inside an object."
                },
                {
                    "name": "Sunlight Sensitivity",
                    "desc": "While in sunlight, the wraith has disadvantage on attack rolls, and its Perception is 7 when perceiving by sight."
                },
                {
                    "name": "Undead Nature",
                    "desc": "The wraith doesn't require air, food, drink, or sleep."
                },
                {
                    "name": "Undead Resilience",
                    "desc": "The wraith is immune to poison damage, to exhaustion, and to the poisoned condition."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_will-o-wisp",
            "name": "Will-o'-Wisp",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Tiny",
                "key": "tiny"
            },
            "challenge_rating": 2.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 0,
                "unit": "feet",
                "fly": 50,
                "hover": true
            },
            "speed_all": {
                "unit": "feet",
                "walk": 0,
                "crawl": 0,
                "hover": true,
                "fly": 50,
                "burrow": 0,
                "climb": 0,
                "swim": 0
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "the languages it knew in life",
                "data": []
            },
            "armor_class": 17,
            "armor_detail": "Ephemeral",
            "hit_points": 31,
            "hit_dice": null,
            "experience_points": 450,
            "ability_scores": {
                "strength": 1,
                "dexterity": 18,
                "constitution": 10,
                "intelligence": 12,
                "wisdom": 16,
                "charisma": 10
            },
            "modifiers": {
                "strength": -5,
                "dexterity": 4,
                "constitution": 0,
                "intelligence": 1,
                "wisdom": 3,
                "charisma": 0
            },
            "initiative_bonus": 4,
            "saving_throws": {
                "strength": -5,
                "dexterity": 4,
                "constitution": 0,
                "intelligence": 1,
                "wisdom": 3,
                "charisma": 0
            },
            "saving_throws_all": {
                "strength": -5,
                "dexterity": 4,
                "constitution": 0,
                "intelligence": 1,
                "wisdom": 3,
                "charisma": 0
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 4,
                "animal_handling": 3,
                "arcana": 1,
                "athletics": -5,
                "deception": 0,
                "history": 1,
                "insight": 3,
                "intimidation": 0,
                "investigation": 1,
                "medicine": 3,
                "nature": 1,
                "perception": 3,
                "performance": 0,
                "persuasion": 0,
                "religion": 1,
                "sleight_of_hand": 4,
                "stealth": 4,
                "survival": 3
            },
            "passive_perception": 13,
            "resistances_and_immunities": {
                "damage_immunities_display": "lightning,grappled,paralyzed,prone,restrained,unconscious,Undead Resilience",
                "damage_immunities": [
                    {
                        "name": "Lightning",
                        "key": "lightning"
                    }
                ],
                "damage_resistances_display": "acid,cold,fire,necrotic,thunder; bludgeoning,piercing,and slashing damage from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Acid",
                        "key": "acid"
                    },
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Fire",
                        "key": "fire"
                    },
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    },
                    {
                        "name": "Thunder",
                        "key": "thunder"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 120,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Beckon",
                    "desc": "The will-o'-wisp pulses its lightly gently toward one creature it can see within 30 feet of it. The target must succeed on a DC 13 WIS save or use its reaction to move up to its speed toward the will-o'-wisp by the most direct route. It doesn't avoid opportunity attacks or damaging terrain when moving.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Consume Life",
                    "desc": "When a creature the will-o'-wisp can see within 15 feet of it is reduced to 0 HP, the will-o'-wisp can consume some of that creature's fading life. The will-o'-wisp gains 7 (2d6) temporary HP, and the creature has disadvantage on the next death save it makes before the end of the wisp's next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "REACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Invisibility",
                    "desc": "The will-o'-wisp and its light magically become invisible until it attacks or uses its Beckon, or until its concentration ends (as if concentrating on a spell).",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The will-o'-wisp makes two Shock attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Shock",
                    "desc": "Melee Spell Attack: +5 to hit, reach 5 ft., one target. _Hit:_ 10 (2d6+3) lightning damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Shock attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Lightning",
                                "key": "lightning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Ephemeral",
                    "desc": "The will-o'-wisp can't wear or carry anything. In addition, it adds its WIS modifier to its AC (included above)."
                },
                {
                    "name": "Incorporeal Movement",
                    "desc": "The will-o'-wisp can move through other creatures and objects as if they were difficult terrain. It takes 5 (1d10) force damage if it ends its turn inside an object."
                },
                {
                    "name": "Undead Nature",
                    "desc": "The will-o'-wisp doesn't require air, food, drink, or sleep."
                },
                {
                    "name": "Undead Resilience",
                    "desc": "The will-o'-wisp is immune to poison damage, to exhaustion, and to the poisoned condition."
                },
                {
                    "name": "Variable Illumination",
                    "desc": "The will-o'-wisp sheds bright light in a 5- to 20-foot radius and dim light for an additional number of feet equal to the chosen radius. The will-o'-wisp can alter the radius as a bonus action."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_wight",
            "name": "Wight",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 3.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "the languages it knew in life",
                "data": []
            },
            "armor_class": 14,
            "armor_detail": "studded leather",
            "hit_points": 69,
            "hit_dice": null,
            "experience_points": 700,
            "ability_scores": {
                "strength": 16,
                "dexterity": 14,
                "constitution": 16,
                "intelligence": 10,
                "wisdom": 12,
                "charisma": 14
            },
            "modifiers": {
                "strength": 3,
                "dexterity": 2,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 1,
                "charisma": 2
            },
            "initiative_bonus": 2,
            "saving_throws": {
                "strength": 3,
                "dexterity": 2,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 1,
                "charisma": 2
            },
            "saving_throws_all": {
                "strength": 3,
                "dexterity": 2,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 1,
                "charisma": 2
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": 1,
                "arcana": 0,
                "athletics": 3,
                "deception": 2,
                "history": 0,
                "insight": 1,
                "intimidation": 2,
                "investigation": 0,
                "medicine": 1,
                "nature": 0,
                "perception": 1,
                "performance": 2,
                "persuasion": 2,
                "religion": 0,
                "sleight_of_hand": 2,
                "stealth": 2,
                "survival": 1
            },
            "passive_perception": 11,
            "resistances_and_immunities": {
                "damage_immunities_display": "Undead Resilience,frightened",
                "damage_immunities": [],
                "damage_resistances_display": "necrotic; bludgeoning,piercing,and slashing damage from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Command Horde",
                    "desc": "The wight commands up to five friendly skeletons or zombies to do one of the following:\n- **Protect.** Until the start of the wight's next turn, each time a friendly creature within 5 feet of a target is attacked, the target can use its reaction to intercept the attack, becoming the target instead.\n- **Overwhelm.** Until the start of the wight's next turn, each target has advantage on attack rolls against a creature on its turn if at least one other target is within 5 feet of the creature and the allied target isn't incapacitated.\n- **Shamble.** Each target uses its reaction to move up to its speed in a direction chosen by the wight. If this movement provokes an opportunity attack, that attack is made with disadvantage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Life Drain",
                    "desc": "Melee Spell Attack: +5 to hit, reach 5 ft., one creature. _Hit:_ 10 (2d6+3) necrotic damage. The target must succeed on a DC 13 CON save or its HP maximum is reduced by an amount equal to the damage taken. This reduction lasts until the target finishes a long rest. The target dies if this effect reduces its HP maximum to 0.<br>A Humanoid slain by this attack rises 24 hours later as a zombie under the wight's control, unless the Humanoid is restored to life or its body is destroyed. The wight can have no more than twelve zombies under its control at one time.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Life Drain attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Longbow",
                    "desc": "_Ranged Weapon Attack:_ +4 to hit, range 150/600 ft., one target. _Hit:_ 11 (2d8+2) piercing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Longbow attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": null,
                            "range": 150,
                            "long_range": 600,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D8",
                            "damage_bonus": 2,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Longsword",
                    "desc": "_Melee Weapon Attack:_ +5 to hit, reach 5 ft., one target. _Hit:_ 12 (2d8+3) slashing damage, or 14 (2d10+3) slashing damage if used with two hands.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Longsword attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D8",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Slashing",
                                "key": "slashing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The wight makes two Longsword or Longbow attacks. It can replace one attack with a Life Drain attack.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Martial Adept",
                    "desc": "A manufactured weapon, such as a sword or bow, deals one extra die of its damage when the wight hits with it (included in the attack)."
                },
                {
                    "name": "Sunlight Sensitivity",
                    "desc": "While in sunlight, the wight has disadvantage on attack rolls, and its Perception is 8 when perceiving by sight."
                },
                {
                    "name": "Undead Nature",
                    "desc": "The wight doesn't require air, food, drink, or sleep."
                },
                {
                    "name": "Undead Resilience",
                    "desc": "The wight is immune to poison damage, to exhaustion, and to the poisoned condition."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_war-horse-skeleton",
            "name": "War Horse Skeleton",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 0.5,
            "proficiency_bonus": null,
            "speed": {
                "walk": 60,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 60,
                "crawl": 30,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 30,
                "swim": 30
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "-",
                "data": []
            },
            "armor_class": 13,
            "armor_detail": "barding scraps",
            "hit_points": 25,
            "hit_dice": null,
            "experience_points": 100,
            "ability_scores": {
                "strength": 18,
                "dexterity": 12,
                "constitution": 14,
                "intelligence": 2,
                "wisdom": 12,
                "charisma": 4
            },
            "modifiers": {
                "strength": 4,
                "dexterity": 1,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": 1,
                "charisma": -3
            },
            "initiative_bonus": 1,
            "saving_throws": {
                "strength": 4,
                "dexterity": 1,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": 1,
                "charisma": -3
            },
            "saving_throws_all": {
                "strength": 4,
                "dexterity": 1,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": 1,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": 1,
                "arcana": -4,
                "athletics": 4,
                "deception": -3,
                "history": -4,
                "insight": 1,
                "intimidation": -3,
                "investigation": -4,
                "medicine": 1,
                "nature": -4,
                "perception": 1,
                "performance": -3,
                "persuasion": -3,
                "religion": -4,
                "sleight_of_hand": 1,
                "stealth": 1,
                "survival": 1
            },
            "passive_perception": 11,
            "resistances_and_immunities": {
                "damage_immunities_display": "Undead Resilience",
                "damage_immunities": [],
                "damage_resistances_display": "piercing",
                "damage_resistances": [
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    }
                ],
                "damage_vulnerabilities_display": "bludgeoning",
                "damage_vulnerabilities": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    }
                ],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Counterattack",
                    "desc": "When a creature the war horse skeleton can see hits it with a melee attack while within 5 feet of it, the skeleton can make one Hooves attack against the attacker.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 6
                    }
                },
                {
                    "name": "Hooves",
                    "desc": "_Melee Weapon Attack:_ +6 to hit, reach 5 ft., one target. _Hit:_ 11 (2d6+4) bludgeoning damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Hooves attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 6,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Bludgeoning",
                                "key": "bludgeoning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "False Appearance",
                    "desc": "While the war horse skeleton remains motionless and prone, it is indistinguishable from an inanimate war horse skeleton."
                },
                {
                    "name": "Undead Nature",
                    "desc": "The skeleton doesn't require air, food, drink, or sleep."
                },
                {
                    "name": "Undead Resilience",
                    "desc": "The skeleton is immune to poison damage, to exhaustion, and to the poisoned condition."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_virtuoso-lich",
            "name": "Virtuoso Lich",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 12.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "Common plus up to two other languages",
                "data": []
            },
            "armor_class": 17,
            "armor_detail": "natural armor",
            "hit_points": 185,
            "hit_dice": null,
            "experience_points": 8400,
            "ability_scores": {
                "strength": 10,
                "dexterity": 24,
                "constitution": 14,
                "intelligence": 14,
                "wisdom": 20,
                "charisma": 28
            },
            "modifiers": {
                "strength": 0,
                "dexterity": 7,
                "constitution": 2,
                "intelligence": 2,
                "wisdom": 5,
                "charisma": 9
            },
            "initiative_bonus": 7,
            "saving_throws": {
                "strength": 0,
                "dexterity": 7,
                "constitution": 2,
                "intelligence": 2,
                "wisdom": 5,
                "charisma": 9
            },
            "saving_throws_all": {
                "strength": 0,
                "dexterity": 7,
                "constitution": 2,
                "intelligence": 2,
                "wisdom": 5,
                "charisma": 9
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 7,
                "animal_handling": 5,
                "arcana": 2,
                "athletics": 0,
                "deception": 9,
                "history": 2,
                "insight": 5,
                "intimidation": 9,
                "investigation": 2,
                "medicine": 5,
                "nature": 2,
                "perception": 5,
                "performance": 9,
                "persuasion": 9,
                "religion": 2,
                "sleight_of_hand": 7,
                "stealth": 7,
                "survival": 5
            },
            "passive_perception": 15,
            "resistances_and_immunities": {
                "damage_immunities_display": "blinded,deafened,charmed,frightened,paralyzed,Undead Resilience",
                "damage_immunities": [],
                "damage_resistances_display": "necrotic; bludgeoning,piercing,and slashing damage from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Artistic Flourish",
                    "desc": "_Melee or Ranged Spell Attack:_ +9 to hit, reach 5 ft. or range 60 ft., one target. _Hit:_ 18 (3d8+5) damage of the type chosen with the Versatile Artist trait plus 9 (2d8) force damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Artistic Flourish attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 9,
                            "reach": 5,
                            "range": 60,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D8",
                            "damage_bonus": 5,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D8",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Force",
                                "key": "force"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Call Muse",
                    "desc": "The lich uses Call Muse.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Cast a Spell",
                    "desc": "The lich uses Spellcasting.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": 2,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Cast a Spell (Costs 2 Actions)",
                    "desc": "The lich uses Spellcasting.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Corrupted Art",
                    "desc": "The lich hums a discordant melody, paints a crumbling symbol of death in the air, performs a reality-bending pirouette, or emulates some other expression of corrupted or twisted art and targets one creature it can see, other than itself, within 60 feet. This action's effects change, depending on if the target is Undead.\n- **Non-Undead.** The target must make a DC 17 WIS save. On a failure, a creature is blinded, charmed, or deafened (the lich's choice) until the end of its next turn. On a success, a creature takes half the damage and isn't incapacitated.\n- **Undead.** The target regains 18 (4d8) HP. Healing that exceeds the target's HP maximum becomes temporary HP.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Move",
                    "desc": "The lich moves up to its speed without provoking opportunity attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The virtuoso lich uses Corrupted Art. It then makes three Artistic Flourish attacks. It can replace one attack with a use of Spellcasting.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Spellcasting",
                    "desc": "The lich casts one of the following spells, using CHA as the spellcasting ability (spell save DC 17).\n\n- **At Will:** _disguise self_, _mage hand_, _message_, _prestidigitation_\n- **3/Day Each:** _charm_, _hideous laughter_, _hold_, _invisibility_ (self only)\n- **2/Day Each:** _dispel magic_, _fear_, _dimension door_\n- **1/Day Each:** _irresistible dance_, _programmed illusion_, _seeming_",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Unrestrained Art",
                    "desc": "The lich unleashes the full force of its artistic talents. Each creature with 15 feet of the lich must make a DC 17 DEX save. On a failure, a creature takes 9 (2d8) damage of the type chosen with the Versatile Artist trait and is knocked prone. On a success, a creature takes half the damage and isn't knocked prone.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": 3,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Unrestrained Art (Costs 3 Actions)",
                    "desc": "The lich unleashes the full force of its artistic talents. Each creature with 15 feet of the lich must make a DC 17 DEX save. On a failure, a creature takes 9 (2d8) damage of the type chosen with the Versatile Artist trait and is knocked prone. On a success, a creature takes half the damage and isn't knocked prone.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Legendary Resistance (3/Day)",
                    "desc": "If the lich fails a save, it can choose to succeed instead."
                },
                {
                    "name": "Rejuvenation",
                    "desc": "If it has a phylactery, a destroyed lich gains a new body in 1d10 days, regaining all its HP and becoming active again. The new body appears within 5 feet of the phylactery."
                },
                {
                    "name": "Turn Resistance",
                    "desc": "The lich has advantage on saves against any effect that turns undead."
                },
                {
                    "name": "Undead Nature",
                    "desc": "The lich doesn't require air, food, drink, or sleep."
                },
                {
                    "name": "Undead Resilience",
                    "desc": "The lich is immune to poison damage, to exhaustion, and to the poisoned condition."
                },
                {
                    "name": "Versatile Artist",
                    "desc": "At the end of each long rest, the lich chooses one form of artistic expression, such as song, poetry, dance, fashion, paint, or similar. Until it finishes a long rest, the lich has immunity to one type of damage, which is associated with its artistic expression. For example, a lich expressing art through song or poetry has immunity to thunder damage, a lich expressing art through fashion has immunity to slashing damage, and a lich expressing art through paint has immunity to acid damage. This trait can't give the lich immunity to force, psychic, or radiant damage."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_vampire-spawn",
            "name": "Vampire Spawn",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 5.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet",
                "climb": 30
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 30,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "the languages it knew in life",
                "data": []
            },
            "armor_class": 15,
            "armor_detail": "natural armor",
            "hit_points": 91,
            "hit_dice": null,
            "experience_points": 1800,
            "ability_scores": {
                "strength": 16,
                "dexterity": 22,
                "constitution": 16,
                "intelligence": 10,
                "wisdom": 16,
                "charisma": 12
            },
            "modifiers": {
                "strength": 3,
                "dexterity": 6,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 3,
                "charisma": 1
            },
            "initiative_bonus": 6,
            "saving_throws": {
                "strength": 3,
                "dexterity": 6,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 3,
                "charisma": 1
            },
            "saving_throws_all": {
                "strength": 3,
                "dexterity": 6,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 3,
                "charisma": 1
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 6,
                "animal_handling": 3,
                "arcana": 0,
                "athletics": 3,
                "deception": 1,
                "history": 0,
                "insight": 3,
                "intimidation": 1,
                "investigation": 0,
                "medicine": 3,
                "nature": 0,
                "perception": 3,
                "performance": 1,
                "persuasion": 1,
                "religion": 0,
                "sleight_of_hand": 6,
                "stealth": 6,
                "survival": 3
            },
            "passive_perception": 13,
            "resistances_and_immunities": {
                "damage_immunities_display": "Vampiric Resilience",
                "damage_immunities": [],
                "damage_resistances_display": "necrotic; bludgeoning,piercing,and slashing damage from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Call Blood",
                    "desc": "The vampire calls to the blood within one injured creature it can see within 10 feet of it, causing blood to pour from the creature's wounds. If the target doesn't have all its HP, it must make a DC 14 CON save, losing 7 (2d6) HP on a failed save, or losing half as much HP on a successful one. Before the end of its next turn, the vampire has advantage on the next attack roll it makes against a creature that failed the save.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Claw",
                    "desc": "_Melee Weapon Attack:_ +6 to hit, reach 5 ft., one creature. _Hit:_ 8 (2d4+3) slashing damage plus 10 (3d6) necrotic damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Claw attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 6,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D4",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": 3,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Draining Bite",
                    "desc": "_Melee Weapon Attack:_ +6 to hit, reach 5 ft., one willing creature, or a creature that is grappled by the vampire, incapacitated, or restrained. _Hit:_ 8 (2d4+3) piercing damage plus 10 (3d6) necrotic damage. The target's HP maximum is reduced by an amount equal to the necrotic damage taken, and the vampire regains HP equal to that amount. The reduction lasts until the target finishes a long rest. The target dies if this effect reduces its HP maximum to 0.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Draining Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 6,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D4",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": 3,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The vampire spawn makes two Claw attacks. It can replace one attack with a Draining Bite attack. If both Claw attacks hit one Large or smaller creature, the target is grappled (escape DC 14).",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Hungry Dead Nature",
                    "desc": "As the **vampire**."
                },
                {
                    "name": "Regeneration",
                    "desc": "The vampire spawn regains 10 HP at the start of its turn if it has at least 1 HP and isn't in sunlight or running water. If the vampire takes radiant damage or damage from holy water, this trait doesn't function at the start of the vampire's next turn."
                },
                {
                    "name": "Resting Place",
                    "desc": "As the **vampire**."
                },
                {
                    "name": "Spider Climb",
                    "desc": "As the **vampire**."
                },
                {
                    "name": "Vampire Weaknesses",
                    "desc": "As the **vampire**."
                },
                {
                    "name": "Vampiric Resilience",
                    "desc": "The vampire is immune to exhaustion."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_vampire",
            "name": "Vampire",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 13.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet",
                "fly": 30,
                "climb": 30,
                "swim": 20
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 30,
                "burrow": 0,
                "climb": 30,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "the languages it knew in life",
                "data": []
            },
            "armor_class": 16,
            "armor_detail": "natural armor",
            "hit_points": 177,
            "hit_dice": null,
            "experience_points": 10000,
            "ability_scores": {
                "strength": 18,
                "dexterity": 28,
                "constitution": 18,
                "intelligence": 16,
                "wisdom": 24,
                "charisma": 28
            },
            "modifiers": {
                "strength": 4,
                "dexterity": 9,
                "constitution": 4,
                "intelligence": 3,
                "wisdom": 7,
                "charisma": 9
            },
            "initiative_bonus": 9,
            "saving_throws": {
                "strength": 4,
                "dexterity": 9,
                "constitution": 4,
                "intelligence": 3,
                "wisdom": 7,
                "charisma": 9
            },
            "saving_throws_all": {
                "strength": 4,
                "dexterity": 9,
                "constitution": 4,
                "intelligence": 3,
                "wisdom": 7,
                "charisma": 9
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 9,
                "animal_handling": 7,
                "arcana": 3,
                "athletics": 4,
                "deception": 9,
                "history": 3,
                "insight": 7,
                "intimidation": 9,
                "investigation": 3,
                "medicine": 7,
                "nature": 3,
                "perception": 7,
                "performance": 9,
                "persuasion": 9,
                "religion": 3,
                "sleight_of_hand": 9,
                "stealth": 9,
                "survival": 7
            },
            "passive_perception": 17,
            "resistances_and_immunities": {
                "damage_immunities_display": "Vampiric Resilience",
                "damage_immunities": [],
                "damage_resistances_display": "necrotic; bludgeoning,piercing,and slashing damage from nonmagical attacks,charmed",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 120,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "_Melee Weapon Attack:_ +9 to hit, reach 5 ft., one target. _Hit:_ 11 (2d6+4) piercing damage plus 14 (4d6) necrotic damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite (Bat, Rat, or Wolf Form Only) attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 9,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": "Bat, Rat, or Wolf Form Only",
                    "usage_limits": null
                },
                {
                    "name": "Call Children",
                    "desc": "The vampire uses Children of the Night.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": 2,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Call Children (Costs 2 Actions)",
                    "desc": "The vampire uses Children of the Night.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Change Shape",
                    "desc": "The vampire transforms into a Tiny bat, Tiny rat, Medium wolf, or back into its true form, which is Undead. Its statistics, other than its size and speed, are the same in each form. Any equipment it is wearing transforms with it, but anything it is carrying doesn't transform with it. It reverts to its true form if it dies.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Charm",
                    "desc": "One Humanoid the vampire can see within 30 feet of it must succeed on a DC 17 WIS save or be magically charmed for 1 day, until the vampire dies, or until the vampire takes a bonus action to end the effect. The charmed target obeys the vampire's verbal commands and is a willing target for the vampire's Draining Bite attack. If the target suffers any harm or receives a suicidal command, it can repeat the save, ending the effect on itself on a success.<br>The vampire can have up to two creatures charmed in this way at a time. If it charms a third, the effect on the first target ends.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": "Vampire Form Only",
                    "usage_limits": null
                },
                {
                    "name": "Children of the Night",
                    "desc": "The vampire magically calls 2d4 **swarms of bats** or **rats**, provided that the sun isn't up. While outdoors, the vampire can call 3d6 **wolves** instead. The called creatures arrive in 1d4 rounds, acting as allies of the vampire and obeying its spoken commands. The Beasts remain for 1 hour, until the vampire dies, or until the vampire dismisses them as a bonus action. The vampire can have any number of such Beasts under its control at one time, provided the combined total CR of the Beasts is no higher than 4.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 5,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Claw",
                    "desc": "_Melee Weapon Attack:_ +9 to hit, reach 5 ft., one target. _Hit:_ 11 (2d6+4) slashing damage plus 14 (4d6) necrotic damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Claw (Vampire Form Only) attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 9,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": "Vampire Form Only",
                    "usage_limits": null
                },
                {
                    "name": "Draining Bite",
                    "desc": "Melee Weapon Attack: +9 to hit, reach 5 ft., one willing creature, or a creature that is grappled by the vampire, incapacitated, or restrained. _Hit:_ 9 (2d4+4) piercing damage plus 14 (4d6) necrotic damage. The target's HP maximum is reduced by an amount equal to the necrotic damage taken, and the vampire regains HP equal to that amount. The reduction lasts until the target finishes a long rest. The target dies if this effect reduces its HP maximum to 0. A Humanoid slain in this way and then fed at least one drop of the vampire's blood rises the following night as a **vampire spawn** under the vampire's control.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Draining Bite (Bat or Vampire Form Only) attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 9,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D4",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": "Bat or Vampire Form Only",
                    "usage_limits": null
                },
                {
                    "name": "Excessive Bleeding",
                    "desc": "Each creature within 15 feet of the vampire that doesn't have all its HP must succeed on a DC 17 CON save or lose 14 (4d6) HP as its wounds bleed profusely. Before the end of its next turn, the vampire has advantage on the next attack roll it makes against a creature that failed this save.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": 2,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Excessive Bleeding (Costs 2 Actions)",
                    "desc": "Each creature within 15 feet of the vampire that doesn't have all its HP must succeed on a DC 17 CON save or lose 14 (4d6) HP as its wounds bleed profusely. Before the end of its next turn, the vampire has advantage on the next attack roll it makes against a creature that failed this save.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": null,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Mist Form",
                    "desc": "The vampire transforms into a Medium cloud of mist or back into its true form, which is Undead. While in mist form, it can't take any actions, speak, or manipulate objects. It is weightless, has a flying speed of 20 feet, can hover, and can enter a hostile creature's space and stop there. In addition, if air can pass through a space, the mist can do so without squeezing, and it can't pass through water. It has advantage on STR, DEX, and CON saves, and it is immune to all nonmagical damage, except the damage it takes from sunlight.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Move",
                    "desc": "The vampire moves up to its speed without provoking opportunity attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "LEGENDARY_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": 1,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The vampire can use Charm. It then makes three Bite or Claw attacks. It can replace one attack with a Draining Bite attack. If two Claw attacks hit one Large or smaller creature, the target is grappled (escape DC 17).",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Hungry Dead Nature",
                    "desc": "The vampire doesn't require air or sleep. In addition, it must consume at least 80 ounces of blood (approximately half the blood in a Medium Humanoid's body) every 24 hours, or it loses its immunity to exhaustion and risks starvation until it does so. While it has any levels of exhaustion from starvation, the vampire can't remove levels of exhaustion until it consumes at least 160 ounces of blood."
                },
                {
                    "name": "Legendary Resistance (3/Day)",
                    "desc": "If the vampire fails a save, it can choose to succeed instead."
                },
                {
                    "name": "Misty Escape",
                    "desc": "When it drops to 0 HP outside its resting place, the vampire transforms into a cloud of mist (as in the Mist Form bonus action) instead of falling unconscious, provided it isn't in sunlight or running water. If it can't transform, it is destroyed. While it has 0 HP in mist form, it can't revert to its vampire form, and it must reach its resting place within 2 hours or be destroyed. Once in its resting place, it reverts to its vampire form. It is then paralyzed until it regains at least 1 HP. After spending 1 hour in its resting place with 0 HP, it regains 1 HP."
                },
                {
                    "name": "Regeneration",
                    "desc": "The vampire regains 20 HP at the start of its turn if it has at least 1 HP and isn't in sunlight or running water. If the vampire takes radiant damage or damage from holy water, this trait doesn't function at the start of the vampire's next turn."
                },
                {
                    "name": "Resting Place",
                    "desc": "The vampire has a coffin, grave, sarcophagus, or similar location just large enough for it to lie down designated as its resting place. While in its resting place, the vampire doesn't suffer exhaustion levels from starvation and has keensense out to a range of 120 feet."
                },
                {
                    "name": "Spider Climb",
                    "desc": "The vampire can climb difficult surfaces, including upside down on ceilings, without needing to make an ability check."
                },
                {
                    "name": "Stake to the Heart",
                    "desc": "If a piercing weapon made of wood is driven into the vampire's heart while the vampire is incapacitated in its resting place, the vampire is paralyzed until the stake is removed."
                },
                {
                    "name": "Sunlight Hypersensitivity",
                    "desc": "The vampire takes 20 radiant damage when it starts its turn in sunlight. While in sunlight, it has disadvantage on attack rolls and ability checks."
                },
                {
                    "name": "Vampire Weaknesses",
                    "desc": "The vampire has the following flaws:\n- **Forbiddance.** The vampire can't enter a residence without an invitation from one of the occupants.\n- **Harmed by Running Water.** The vampire takes 20 acid damage if it ends its turn in running water."
                },
                {
                    "name": "Vampiric Resilience",
                    "desc": "The vampire is immune to exhaustion."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_specter",
            "name": "Specter",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 1.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 0,
                "unit": "feet",
                "fly": 50,
                "hover": true
            },
            "speed_all": {
                "unit": "feet",
                "walk": 0,
                "crawl": 0,
                "hover": true,
                "fly": 50,
                "burrow": 0,
                "climb": 0,
                "swim": 0
            },
[...]
